Xapian: API Documentation: Xapian::PositionIterator Class Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
Xapian::PositionIterator Class Reference

An iterator pointing to items in a list of positions. More...

## Public Member Functions
| PositionIterator ()
| Default constructor - for declaring an uninitialised iterator.
| ~PositionIterator ()
| Destructor.
| PositionIterator (const PositionIterator &o)
| Copying is allowed. More...
void | operator= (const PositionIterator &o)
| Assignment is allowed. More...
Xapian::termpos | operator* () const
| Return the term position at the current iterator position.
PositionIterator & | operator++ ()
| Advance the iterator to the next position.
DerefWrapper_< termpos > | operator++ (int)
| Advance the iterator to the next position (postfix version).
void | skip_to (Xapian::termpos pos)
| Advance the iterator to the specified termpos. More...
std::string | get_description () const
| Return a string describing this object.

## Friends
bool | operator== (const PositionIterator &a, const PositionIterator &b)
| Test equality of two PositionIterators.

## Detailed Description

An iterator pointing to items in a list of positions.

## Constructor & Destructor Documentation

Xapian::PositionIterator::PositionIterator | ( | const PositionIterator & | o | ) |

Copying is allowed.

The internals are reference counted, so copying is also cheap.

## Member Function Documentation

void Xapian::PositionIterator::operator= | ( | const PositionIterator & | o | ) |

Assignment is allowed.

The internals are reference counted, so assignment is also cheap.

void Xapian::PositionIterator::skip_to | ( | Xapian::termpos | pos | ) |

Advance the iterator to the specified termpos.

If the specified termpos isn't in the list, position ourselves on the first termpos after it (or at_end() if no greater term positions are present).

The documentation for this class was generated from the following file:

- xapian/positioniterator.h